#include <Material/Material.hpp>
#include <Widget/Layout/CompoundWidget/EncyclopediaView/EncyclopediaView.hpp>
#include <Widget/TabList/MachineHelpTab/MachineHelpTab.hpp>

MachineHelpTab::MachineHelpTab(const std::string &url, const std::string &stateUrl) :
    TabList::Page(
        Material::encyclopediaIcon,
        "Help",
        new EncyclopediaView(width, url, stateUrl)
    )
{}